import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JFrame;

import quadbase.scheduler.QbScheduler;


public class InvokingScheduler extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			InvokingScheduler scheduler = new InvokingScheduler();
			JFrame frame = new JFrame();
			frame.setLayout(new BorderLayout());
			frame.getContentPane().add(scheduler.doInvokeScheduler(frame));
			frame.addWindowListener(new WindowAdapter() {
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.pack();
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	public void init() {
		setLayout(new BorderLayout());
		add("Center", doInvokeScheduler(this));
	}

	Component doInvokeScheduler(Object parent)  {
		
		try {
			// Connecting to EspressManager
			QbScheduler.setServerAddress("127.0.0.1");
			QbScheduler.setServerPortNumber(22071);
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
		
		QbScheduler scheduler = null;
		
		if (parent instanceof JFrame)
			scheduler = new QbScheduler((Applet)null, (JFrame)parent);
		else
			scheduler = new QbScheduler((Applet)parent, (JFrame)null);
		
		return scheduler.getScheduler();
	}

}
